Podręcznik PHP
Poprzedni |  | Następny

# runkit_constant_add

(PECL)

runkit_constant_add -- Similar to define(), but allows defining in class definitions as well

## Opis

bool runkit_constant_add ( string constname, mixed value )

## Parametry

constname

  Name of constant to declare. Either a string to indicate a global constant, or classname::constname to indicate a class constant.

value

  NULL, Bool, Long, Double, String, or Resource value to store in the new constant.

## Zwracane wartości

Zwraca `TRUE` w przypadku sukcesu, `FALSE` w przypadku porażki.

## Patrz także

define()
runkit_constant_redefine()
runkit_constant_remove()

Poprzedni | Spis treści | Następny
runkit_class_emancipate | Początek rozdziału | runkit_constant_redefine